<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>DETALLE</title>
    <link rel="icon" type="image/gif" href="src/M4PLay.jpg">
    <link rel="stylesheet" href="0HEADFOOT.css">
    <link rel="stylesheet" href="10DETALL2.css">
    
    <script>
        function loadXMLDoc(filename) {
            //Abrimos una conexión con el servidor
            xhttp = new XMLHttpRequest();
            //Pedimos un fichero
            xhttp.open("GET", filename, false);
            try { xhttp.responseType = "msxml-document" } catch (err) { alert("Hay error"); } // Helping IE11
            xhttp.send("");
            return xhttp.responseXML;
        }

        //Funcion que nos permite recuperar el Identificador de la receta seleccionada
        //en la pantalla principal. Viene por la URL, método GET.
        function getId(sParametroNombre) {
            var sPaginaURL = window.location.search.substring(1);
            var sURLVariables = sPaginaURL.split('&');
            for (var i = 0; i < sURLVariables.length; i++) {
                var sParametro = sURLVariables[i].split('=');
                if (sParametro[0] == sParametroNombre) {
                    return sParametro[1];
                }
            }
            return null;
        }


        function displayResult() {
            //Buscamos en la URL el parametro id usando la funcion getId
            var idReceta = getId('id');
            if (idReceta) {
                //Queremos cargar los ficheros XML y XSLT

                // CUIDADO!! Debes cambiar el nombre de los ficheros que quieres cargar.
                xml = loadXMLDoc("5DETALL" + idReceta + ".xml");
                xsl = loadXMLDoc("detalle.xsl");
                if (document.implementation && document.implementation.createDocument) {
                    //Lanzamos el xsltproc que tiene el navegador
                    xsltProcessor = new XSLTProcessor();
                    xsltProcessor.importStylesheet(xsl);
                    resultDocument = xsltProcessor.transformToFragment(xml, document);
                    //El resultado de la transformación los ponemos dentro del elemento
                    //section con identificador CONTENT-RECETAS
                    document.getElementById("content-videojuego").appendChild(resultDocument);
                }
            } else {
                alert("El parámetro no existe en la URL");
            }
        }
    </script>

</head>
<body onload="displayResult()">
    <header>
        <!--PARA EL LOGO-->
        <div class="header">
            <img src="src/M4PLay.jpg" alt="logo_pagina" height="200" width="300">
        </div>

        <!--LINKS-->

    </header>

    <nav>
        <ul>
            <li><a href="1INDEX.html">M04PLAY</a></li>
            <li><a href="3LLISTA.html">VIDEOJUEGOS</a></li>
            <li><a href="1INDEX.html#Noticias">NOTICIAS</a></li>
            <li><a href="1INDEX.html#Ranking">RANKING</a></li>
            <li><a href="4FORMULARIO.html">ÚNETE A NOSOTROS</a></li>
            <li><a href="">CONTACTO</a></li>
        </ul>
    </nav>

    <main>
     <div id="content-videojuego"></div>
   </main>
<footer>
    <img class="footer-logos-rs" src="src/instagram.png" alt="Instagram" />
    <img class="footer-logos-rs" src="src/facebook.png" alt="Facebook" />
    <img class="footer-logos-rs" src="src/twitter.png" alt="Twitter" />
    <img class="footer-logos-rs" src="src/youtube.png" alt="Youtube" />
    <address>Carrer d'Aiguablava 121 <br>08033 Barcelona</address>
    <p>Copyright 2022-2023</p>
</footer>

</body>
</html>